0

I am trying to upgrade the plugins in my Ionic Cordova app and I keep getting an error in iOS (it's fine on Android). I click the app, and it loads with the splash screen but gets stuck there. I get the following error in XCode: *** Terminating app due to uncaught exception 'NSInvalidArgumentException', reason: '-[SFHybridViewController setEnabledAutorotation:]: unrecognized selector sent to instance

I believe SFHybridViewController is related to the Salesforce Mobile SDK I'm using but the stack trace is: enter image description here

These are my plugins:

om.salesforce 8.1.0 "SalesforceMobileSDK Plugins"
cordova-plugin-camera-with-exif 1.3.1 "cordova-plugin-camera-with-exif"
cordova-plugin-cocoapod-support 1.6.2 "Cordova CocoaPods Dependency Support"
cordova-plugin-datepicker 0.9.3 "DatePicker"
cordova-plugin-device 2.0.2 "Device"
cordova-plugin-dialogs 2.0.1 "Notification"
cordova-plugin-email-composer 0.9.2 "EmailComposer"
cordova-plugin-file 6.0.2 "File"
cordova-plugin-geolocation 4.0.1 "Geolocation"
cordova-plugin-inappbrowser 3.2.0 "InAppBrowser"
cordova-plugin-network-information 2.0.1 "Network Information"
cordova-plugin-screen-orientation 3.0.2 "Screen Orientation"
cordova-plugin-splashscreen 5.0.4 "Splashscreen"
cordova-plugin-statusbar 2.4.3 "StatusBar"
cordova-plugin-whitelist 1.3.4 "Whitelist"
cordova-plugin-wkwebview-engine 1.2.2-dev "Cordova WKWebView Engine"
cordova-plugin-wkwebviewxhrfix 0.1.0 "WKWebView XHR Fix"
cordova.plugins.diagnostic 5.0.1 "Diagnostic"
es6-promise-plugin 4.2.2 "Promise"
ionic-plugin-keyboard 2.2.1 "Keyboard"
phonegap-plugin-barcodescanner 8.0.1 "BarcodeScanner"

I'm also using:

Ionic 2.1.4
Cordova iOS 5.1.1
Cordova 9.0.0 (cordova-lib@9.0.1)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.